# Uses of Interface
org.springframework.scheduling.Trigger

Packages that use Trigger
Package
Description
org.springframework.scheduling
General exceptions for Spring's scheduling support, independent of any specific scheduling system.
org.springframework.scheduling.concurrent
Scheduling convenience classes for the `java.util.concurrent` and `jakarta.enterprise.concurrent` packages, allowing to set up a ThreadPoolExecutor or ScheduledThreadPoolExecutor as a bean in a Spring context.
org.springframework.scheduling.config
Support package for declarative scheduling configuration, with XML schema being the primary configuration format.
org.springframework.scheduling.support
Generic support classes for scheduling.

## Uses of Trigger in org.springframework.scheduling

Methods in org.springframework.scheduling with parameters of type Trigger
Modifier and Type
Method
Description
`ScheduledFuture<?>`
TaskScheduler.`schedule(Runnable task, Trigger trigger)`
Schedule the given `Runnable`, invoking it whenever the trigger indicates a next execution time.

## Uses of Trigger in org.springframework.scheduling.concurrent

Methods in org.springframework.scheduling.concurrent with parameters of type Trigger
Modifier and Type
Method
Description
`ScheduledFuture<?>`
ConcurrentTaskScheduler.`schedule(Runnable task, Trigger trigger)`
`ScheduledFuture<?>`
SimpleAsyncTaskScheduler.`schedule(Runnable task, Trigger trigger)`
`ScheduledFuture<?>`
ThreadPoolTaskScheduler.`schedule(Runnable task, Trigger trigger)`

## Uses of Trigger in org.springframework.scheduling.config

Methods in org.springframework.scheduling.config that return Trigger
Modifier and Type
Method
Description
`Trigger`
TriggerTask.`getTrigger()`
Return the associated trigger.
Methods in org.springframework.scheduling.config with parameters of type Trigger
Modifier and Type
Method
Description
`void`
ScheduledTaskRegistrar.`addTriggerTask(Runnable task, Trigger trigger)`
Add a Runnable task to be triggered per the given `Trigger`.
`ScheduledFuture<?>`
TaskSchedulerRouter.`schedule(Runnable task, Trigger trigger)`
Method parameters in org.springframework.scheduling.config with type arguments of type Trigger
Modifier and Type
Method
Description
`void`
ScheduledTaskRegistrar.`setTriggerTasks(Map<Runnable,Trigger> triggerTasks)`
Specify triggered tasks as a Map of Runnables (the tasks) and Trigger objects (typically custom implementations of the `Trigger` interface).
Constructors in org.springframework.scheduling.config with parameters of type Trigger
Modifier
Constructor
Description
``
`TriggerTask(Runnable runnable, Trigger trigger)`
Create a new `TriggerTask`.

## Uses of Trigger in org.springframework.scheduling.support

Classes in org.springframework.scheduling.support that implement Trigger
Modifier and Type
Class
Description
`class`
`CronTrigger`
`Trigger` implementation for cron expressions.
`class`
`PeriodicTrigger`
A trigger for periodic task execution.
Methods in org.springframework.scheduling.support with parameters of type Trigger
Modifier and Type
Method
Description
`ScheduledFuture<?>`
NoOpTaskScheduler.`schedule(Runnable task, Trigger trigger)`